Page MenuHomePhabricator

Mobile watchlist should follow the same Show/Hide preferences as the desktop watchlist
Closed, DeclinedPublic

Description

In desktop, users can fine tune their watchlist by showing / hiding minor edits, bots, etc.

EXPECTED

The mobile watchlist follows the same preferences. Desktop and mobile watchlists contain the same items.

ACTUALLY

When the same users use the mobile watchlist, their preferences are ignored. This is problematic per se, but it is even more problematic in mobile because the limitations of the UI make excessive results more evident.

For instance, I only hide edits made by bots in order to focus on reviewing in changes made by humans. In mobile I do see the edits done by bots, cluttering my list and forcing me to scroll through items I don't care about. Sometimes a bot goes through dozes of pages I'm watching, and the edits made by bots will fill most of the mobile watchlist, which has a limited length, not allowing me to see relevant changes made just a few hours ago.

NOTE

The UI for changing the watchlist preferences available in mobile is out of scope in this report. It is fine to have them only in desktop, as long as they are followed in mobile as well.


Version: unspecified
Severity: normal

Details

Reference
bz67799

Event Timeline

bzimport raised the priority of this task from to Low.Nov 22 2014, 3:34 AM
bzimport set Reference to bz67799.
bzimport added a subscriber: Unknown Object (MLST).
Qgil created this task.Jul 10 2014, 12:28 PM

bingle-admin wrote:

Prioritization and scheduling of this bug is tracked on Trello card https://trello.com/c/jPqFGTT1

Restricted Application added a project: Readers-Web-Backlog. · View Herald TranscriptApr 8 2015, 7:17 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 17 2015, 12:10 PM
MaxSem removed a subscriber: MaxSem.Aug 17 2015, 6:33 PM
Swpb added a subscriber: Swpb.Oct 20 2015, 6:07 PM

To add to this, it would be especially helpful for the "Hide my edits from the watchlist" preference to be applied on mobile.

Perhelion added a subscriber: Perhelion.
Jdlrobson closed this task as Declined.May 22 2017, 10:07 AM

We don't have capacity to reimplement the watchlist anymore then we currently have. The problem with the current implementation is it directly hits the database rather than making use of an api method provided by core to access to all rows in the watchlist. It thus overlooks things like preferences. Continuing like this is unsustainable.

I will make sure this particular feature is added as a requirement to T109277 which aims to increase code quality of the special watchlist code in core to allow it to be skinned for mobile. At very least that work should give us an api/model of the data in the watchlist and simply override the presentation.

Please bear with me a week or so to do this.
Ps. Not sure if declining or merging as duplicate was appropriate here.